<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class PayInfo{

	// 在线支付 类型
	public static function TypeCN($str, $str2=''){
		switch ($str){
			case 'userMoney':	return '余额';
			case 'tenpay':		return '财付通';
			case 'qqpay':		return 'QQ钱包';
			case 'alipay':		return '支付宝';
			case 'weixin':		return '微信';
			case 'codepay':
				if ($str2 == 'alipay'){
					return '[码]支付宝';
				}elseif ($str2 == 'qqpay'){
					return '[码]QQ钱包';
				}elseif ($str2 == 'weixin'){
					return '[码]微信';
				}else{
					return '码支付';
				}
			case 'f2fpay':		return '当面付';
			default:			return $str;
		}
	}

	// 在线支付 付款方式 数组
	public static function ModeArr($str=''){
		$retArr = array(
			'suff'		=> '充值',
			'pay'		=> '支付',
		//	'goods'		=> '购买商品',
		//	'web'		=> '付款',
			'regCode'		=> '注册邀请码',
			'infoRead'		=> '文章付费阅读',
			'groupKaitong'	=> '会员组开通',
			'groupXufei'	=> '会员组续费',
			'dashang'		=> '文章打赏'
			);
		if ($str == 'key'){
			return array_keys($retArr);
		}else{
			return $retArr;
		}
	}

	// 在线支付 付款方式
	public static function ModeCN($str, $def=null){
		$arr = self::ModeArr();
		if (isset($arr[$str])){
			return $arr[$str];
		}else{
			if ($def == null){
				return '['. $str .']';
			}else{
				return $def;
			}
		}
	}

	// 进出账 类型数组
	public static function RecordTypeArr($str=''){
		$retArr = array(
			'suff'			=> '充值',
			'tixian'		=> '提现',
			'moneyPay'		=> '在线支付',
			'workCenter'	=> '任务中心',
			'moneyGive'		=> '充值满送',
			'userScoreMul'	=> '金额兑换积分',
			'quan'			=> '卡券',
			'taokeOrder'	=> '淘宝订单',
			'groupXufei'	=> '会员组续费',
			'groupKaitong'	=> '会员组开通',
			'groupWork'		=> '领工资',
			'userState1'	=> '会员转正'
			);
		if ($str == 'key'){
			return array_keys($retArr);
		}else{
			return $retArr;
		}
	}

	// 进出账 类型
	public static function RecordTypeCN($str, $def=null){
		$arr = self::RecordTypeArr();
		if (isset($arr[$str])){
			return $arr[$str];
		}else{
			if ($def == null){
				return '['. $str .']';
			}else{
				return $def;
			}
		}
	}

	// 在线支付 付款方式 数组
	public static function QuickTypeArr($str=''){
		$retArr = array(
			'regCode'		=> '注册邀请码',
			'infoRead'		=> '文章付费阅读',
			'groupKaitong'	=> '会员组开通',
			'groupXufei'	=> '会员组续费',
			'dashang'		=> '文章打赏'
			);
		if ($str == 'key'){
			return array_keys($retArr);
		}else{
			return $retArr;
		}
	}

	// 在线支付 付款方式
	public static function QuickTypeCN($str, $def='empty'){
		$arr = self::QuickTypeArr();
		if (isset($arr[$str])){
			return $arr[$str];
		}else{
			if ($def == 'empty'){
				return '['. $str .']';
			}else{
				return $def;
			}
		}
	}


	// 颜色数值显示 >0 蓝色 <0 红色  =0黑色
	public static function ColorNum($num, $remMoney=0){
		if ($remMoney == -9){
			return '';
		}elseif ($remMoney == -7){
			return $num;
		}elseif ($num > 0){
			return '<span style="color:green;">+ '. $num .'</span>';
		}elseif ($num < 0){
			return '<span style="color:red;">'. str_replace('-','- ',$num) .'</span>';
		}else{
			return $num;
		}
	}

	// 账户余额处理
	public static function RemMoney($num){
		if (in_array($num, array(-9,-8,-7))){	// -9发生额和余额都不显示；-8余额不显示，发生额有+-符；-8余额不显示，发生额无+-符
			return '';
		}elseif ($num < 0){
			return '<span style="color:red;">'. str_replace('-','- ',$num) .'</span>';
		}else{
			return $num;
		}
	}

}

?>